# Get a Wallet's Profile Picture

Use the functionality below to fetch a wallet's profile picture in order to display it on your own protocol's front-end.&#x20;

#### Get the wallet's profile picture

```javascript
function getProfilePicture (client: AptosClient, address: string, config: ProfilePictureConfig): Promise<ProfilePicture>
```

**Params**

* `client` - Aptos client object
* `address` - The address of the wallet
* `config` (optional)
  * `fallback` - Boolean, use a fallback generated image (default `true`)
  * `resize` - Object with Cloudflare image resize params (default `{ width: 100 }`)

**Return value**

Object with the following fields:

* `isAvailable` - Boolean, `true` if there is a profile picture for the given wallet
* `url` - The URL of the profile image, is always populated (either a fallback image or an empty-image icon), you can choose to ignore it if `isAvailable` is false
* `name` - NFT name (only if `isAvailable: true`)
* `address` - Owner address
* `tokenId` - The NFT token identifier (only if `isAvailable: true`)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.risewallet.io/introduction/integrations/profile-picture-protocol/get-a-wallets-profile-picture.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
